Skip to content
GBG Documents & Biometrics Documentation

/VerifyDocument/Id

POST
/VerifyDocument/Id
curl --request POST \
--url https://verification-v2-eu.core.idscan.cloud/VerifyDocument/Id \
--header 'Content-Type: multipart/form-data' \
--form DocumentImageId=example \
--form IRImageId=example \
--form UVImageId=example \
--form Side=0 \
--form HasChip=true \
--form SensorType=example \
--form 'NfcData={ "additionalProperty": "example" }' \
--form 'PreDeterminedChecks=[ { "name": "example", "title": "example", "info": "example", "validationResult": "example", "resultInfo": "example", "weight": "example", "regionOfInterests": [ { "boundingBox": { "x": 1, "y": 1, "width": 1, "height": 1 }, "side": "example", "spectrum": "example" } ], "type": "example" } ]' \
--form 'HlrCustomizations=[ { "authenticationCheckId": "example", "country": "example", "countryCode": "example", "countryState": "example", "documentType": "example", "documentSubType": "example", "overrideType": 0 } ]' \
--form 'Configurations={ "additionalProperty": "example" }' \
--form 'PreviousContext={ "additionalProperty": "example" }' \
--form 'AdditionalDetails={ "additionalProperty": "example" }'

Get the verification response of the processed document.

IDscan Core Document Verification Service endpoint allows a document to be uploaded (Please reach out to your support representative for the “IDscan Core Authentication Guide”). The document details will be extracted.

  • None
x-correlation-id
string

Correlation Id for the request

Media typemultipart/form-data
object
DocumentImageId

Image cache Id of the document image to be verified. (White image in normal light).

string
IRImageId

Image cache Id of the document image to be verified. (Infra Red).

string
UVImageId

Image cache Id of the document image to be verified. (Ultraviolet).

string
Side

Enumeration for side of the document to be processed.

integer format: int32
Allowed values: 0 1 2
HasChip

Is this a request for NFC and not image only flow.

boolean
SensorType

Source of the image. Allowed Values are SCANNER, CAMERA, A4SCANNER. Default value is Camera.

string
NfcData

Key value pair to provide NFC data for extracted fields from chip like MRZ RFID data.

object
key
additional properties
string
nullable
PreDeterminedChecks

Information about the list of validation checks that run previously.

Array<object>

Applied validity checks on each supported document type. Authentication helps discover many cases of fake documents or genuine documents that have been manipulated. An example of an AuthenticationCheck is cross-matching information elements that are represented in many parts of the document like a DocumentNumber that is both represented as a printed human-readable text and also encoded in a barcode. The range of checks performed will vary based on few factors.One of them depends on the document being captured, as the security features vary from one document to another. Another factor is the images that were provided, as IDES is able to validate many visible and non-visible security features but non-visible security features validation requires providing the Infrared and Ultraviolet response images.

object
name

Returns a value representing the identifier of this AuthenticationCheck. This identifier should be used to uniquely identify the check and refer to it programatically if needed. Authentication check Id is unique for a specific AuthenticationCheck.

string
nullable
title

Returns a value specifying the title of the AuthenticationCheck. This value can be used for friendly representation of the check to the user.For identification purposes not related with friendly representation, id field should be used

string
nullable
info

Returns a value specifying description of the AuthenticationCheck.

string
nullable
validationResult

Returns state of the AuthenticationCheck. This indicates whether the check was Passed, Failed, inconclusive or was not able to run due to some pre-conditions that are not met. AuthenticationCheck return state Possible values undetermined, passed, failed or skipped. Default is undetermined.

Undetermined If state is undetermined. Passed = If AuthenticationCheck passed. Failed = If AuthenticationCheck failed. Skipped = If AuthenticationCheck skipped.

string
nullable
resultInfo

Information about the result of validation check.

string
nullable
weight

Score of the validation result. AuthenticationCheck return state Possible values undetermined, passed, failed or skipped. Default is Critical.

Ignore If weight is ignored. Insignificant = If weight is insignificant. Moderate = If weight is moderate. Critical = If weight is critical.

string
nullable
regionOfInterests

List of areas of the document where the validation check was applied.

Array<object>
nullable

Area of the document where the validation check was applied.

object
boundingBox

Surrounding box around the extracted field.

object
x

X coordinate of the top left of the rectangle forming the bounding box.

integer format: int32
y

Y coordinate of the top left of the rectangle forming the bounding box.

integer format: int32
width

Represents the width of the bounding box.

integer format: int32
height

Represents the height of the bounding box.

integer format: int32
side

Document side where the validation check was applied.

string
nullable
spectrum

Image type where the validation check was applied.

string
nullable
type

Validation check type. AuthenticationCheck return state Possible values unspecified or imagequality. Default is unspecified.

Unspecified = If type is not specified. ImageQuality = If type is image quality.

string
nullable
HlrCustomizations

Information about the overriding HLR configurations per check.

Array<object>

Information about the overriding HLR configurations per check.

object
authenticationCheckId

Unique authentication check ID.

string
nullable
country

Country name.

string
nullable
countryCode

Country code.

string
nullable
countryState

State name.

string
nullable
documentType

Document type.

string
nullable
documentSubType

Document sub type.

string
nullable
overrideType

Override type for the validation HLR config check.

integer format: int32
Allowed values: 0 1 2 3
Configurations

Any configuration needed for this request. Allowed configurations are :- “TENANT_NAME”, “EXTRACT_MIDDLE_NAME”, “AUTHENTICATION_LEVEL”, “AUTHENTICATION_POLICY”, “DISABLED_CHECKS”, “IGNORE_BACK_SIDE_RESULT”, “ADDRESS_CORRECTION_COUNTRIES”, “PROVIDER_NAME”

TENANT_NAME accepts any valid string for the Tenant configuration. For eg:- {“TENANT_NAME” : “GBG”} EXTRACT_MIDDLE_NAME accepts boolean values to indicate if the middle name should be extracted or not. For eg:- {“EXTRACT_MIDDLE_NAME” : “TRUE”} Allowed values for “AUTHENTICATION_LEVEL” are :-
“LOW” // authentication level allow for 1 critical, 5 moderates and 9 insignificant failures “MEDIUM” // (default) medium authentication level allow for 0 critical, 3 moderates and 5 insignificant failures “STRICT” // strict authentication level allow for 0 critical, 1 moderates and 5 insignificant failures AUTHENTICATION_POLICY accepts any string value. DISABLED_CHECKS accepts list of validations to be disabled or not run. For eg:- {“DISABLED_CHECKS” : “DTCHK, ARCHK, IRPTR, RCCHK, PHPRS”} IGNORE_BACK_SIDE_RESULT accepts boolean values to ignore back side fields for cross match validations. For eg:- {“IGNORE_BACK_SIDE_RESULT” : “TRUE”} ADDRESS_CORRECTION_COUNTRIES accepts list of ISO code countries. For eg:- {“ADDRESS_CORRECTION_COUNTRIES” : “GBR, DEU”} PROVIDER_NAME accepts any valid string for the provider to be chosen. For eg:- {“PROVIDER_NAME” : “IDES”}

object
key
additional properties
string
nullable
PreviousContext

Contextual Information from previous API calls(Front side/back side etc) Use key as “CONTEXT” to pass any previous context information for back side and NFC workflows.

object
key
additional properties
string
nullable
AdditionalDetails

Pass any additional details, if required.

object
key
additional properties
string
nullable
RequestId
string
CorrelationId
string

Returns a success on the Endpoint after processing the submitted identity document/s.This code does not indicate a success on the validation of the document itself but rather a success on the call to the Endpoint.The document result is in the response body (See Response Body section below).

Verification response after verifying the processed image.

object
correlationId
string
nullable
classificationInfo

Details of the classified document.

object
classifiedDocument

Represents the document classification results.

object
isDocumentClassified

Has the document been classified or not.

boolean
isIcao

Gets whether the recognised document is ICAO compliant.

boolean
id

Document type identifier.

string
nullable
name

Returns document name which is a friendly name that represents the issuer and type or subtype of the document(e.g. ‘United Kingdom Provisional Driving License’).

string
nullable
category

Returns the document type high level category (e.g. ‘Identification Card’ which covers both National and Foreigner Identification Cards types). This is the top level of document type hierarchy

string
nullable
subtype

Returns the document subtype. Subtype is the third level of document type hierarchy and it identities the document more specifically and usually differs from one issuer to another(E.g. ‘Full Driving Licence’, ‘Provisional Driving Licence’, ‘Probationary Driving Licence’ etc.).

string
nullable
year

Returns the identifying year of issue or a proprietary code representation this issue is known with.

string
nullable
type

Document type, second level of type hierarchy used for distinguishing document types.

string
nullable
side

Returns document side (E.g. Front, Back).

string
nullable
countryCode

Returns document issuing country code. This field uses standard three letter ISO 3166-1 country codes(e.g. ‘GBR’ for United Kingdom).

string
nullable
countryName

Returns document issuing country name (E.g. United Kingdom).

string
nullable
stateCode

Returns document issuing state code as it is recognized in the issuing country.This field should always be used along with issuing_country_code field. (e.g ‘WA’ for either Western Australia in Australia or Washington in United States of America).

string
nullable
stateName

Returns document issuing state name (E.g. Washington).

string
nullable
documentInfo

Represents the document classification properties.

object
nfc

Indicates whether document type support NFC journey.

boolean
otherSide

Indicates whether document type support other side journey.

boolean
extractionInfo

Details of the document extraction.

object
aggregatedFields

Extracted field aggregation of the processed document and any previous requests.

Array<object>
nullable

Field information about each source where the fields was located (viz, mrz, barcode).

object
label

Extracted field name which is used to identify the field.

string
nullable
source

Source for field value (viz, pdf417_barcode, mrz, rfid, hybrid, barcode or viz).

string
nullable
value

Extracted field string value.

string
nullable
isNonLatin

Sets to true if the value is in Non Latin language, false otherwise.

boolean
regionOfInterest

Area of the document where the validation check was applied.

object
boundingBox

Surrounding box around the extracted field.

object
x

X coordinate of the top left of the rectangle forming the bounding box.

integer format: int32
y

Y coordinate of the top left of the rectangle forming the bounding box.

integer format: int32
width

Represents the width of the bounding box.

integer format: int32
height

Represents the height of the bounding box.

integer format: int32
side

Document side where the validation check was applied.

string
nullable
spectrum

Image type where the validation check was applied.

string
nullable
extractedFields

Extracted fields from query document like first name, last name, birth date etc.

Array<object>
nullable

Represents an information element that is extracted or deducted from the document.

object
label

Extracted field name which is used to identify the field.

string
nullable
details

Field information about each source where the fields was located (viz, mrz, barcode).

Array<object>
nullable

Field information about each source where the fields was located (viz, mrz, barcode).

object
label

Extracted field name which is used to identify the field.

string
nullable
source

Source for field value (viz, pdf417_barcode, mrz, rfid, hybrid, barcode or viz).

string
nullable
value

Extracted field string value.

string
nullable
isNonLatin

Sets to true if the value is in Non Latin language, false otherwise.

boolean
regionOfInterest

Area of the document where the validation check was applied.

object
boundingBox

Surrounding box around the extracted field.

object
x

X coordinate of the top left of the rectangle forming the bounding box.

integer format: int32
y

Y coordinate of the top left of the rectangle forming the bounding box.

integer format: int32
width

Represents the width of the bounding box.

integer format: int32
height

Represents the height of the bounding box.

integer format: int32
side

Document side where the validation check was applied.

string
nullable
spectrum

Image type where the validation check was applied.

string
nullable
validationInfo

Details of the validation.

object
validationChecks

List of validations that ran against the scanned document side.

Array<object>
nullable

Applied validity checks on each supported document type. Authentication helps discover many cases of fake documents or genuine documents that have been manipulated. An example of an AuthenticationCheck is cross-matching information elements that are represented in many parts of the document like a DocumentNumber that is both represented as a printed human-readable text and also encoded in a barcode. The range of checks performed will vary based on few factors.One of them depends on the document being captured, as the security features vary from one document to another. Another factor is the images that were provided, as IDES is able to validate many visible and non-visible security features but non-visible security features validation requires providing the Infrared and Ultraviolet response images.

object
name

Returns a value representing the identifier of this AuthenticationCheck. This identifier should be used to uniquely identify the check and refer to it programatically if needed. Authentication check Id is unique for a specific AuthenticationCheck.

string
nullable
title

Returns a value specifying the title of the AuthenticationCheck. This value can be used for friendly representation of the check to the user.For identification purposes not related with friendly representation, id field should be used

string
nullable
info

Returns a value specifying description of the AuthenticationCheck.

string
nullable
validationResult

Returns state of the AuthenticationCheck. This indicates whether the check was Passed, Failed, inconclusive or was not able to run due to some pre-conditions that are not met. AuthenticationCheck return state Possible values undetermined, passed, failed or skipped. Default is undetermined.

Undetermined If state is undetermined. Passed = If AuthenticationCheck passed. Failed = If AuthenticationCheck failed. Skipped = If AuthenticationCheck skipped.

string
nullable
resultInfo

Information about the result of validation check.

string
nullable
weight

Score of the validation result. AuthenticationCheck return state Possible values undetermined, passed, failed or skipped. Default is Critical.

Ignore If weight is ignored. Insignificant = If weight is insignificant. Moderate = If weight is moderate. Critical = If weight is critical.

string
nullable
regionOfInterests

List of areas of the document where the validation check was applied.

Array<object>
nullable

Area of the document where the validation check was applied.

object
boundingBox

Surrounding box around the extracted field.

object
x

X coordinate of the top left of the rectangle forming the bounding box.

integer format: int32
y

Y coordinate of the top left of the rectangle forming the bounding box.

integer format: int32
width

Represents the width of the bounding box.

integer format: int32
height

Represents the height of the bounding box.

integer format: int32
side

Document side where the validation check was applied.

string
nullable
spectrum

Image type where the validation check was applied.

string
nullable
type

Validation check type. AuthenticationCheck return state Possible values unspecified or imagequality. Default is unspecified.

Unspecified = If type is not specified. ImageQuality = If type is image quality.

string
nullable
validationResult

The final validation result for scanned document. Values are : Undetermined If state is undetermined. Passed If AuthenticationCheck passed. Failed If AuthenticationCheck failed. Skipped If AuthenticationCheck skipped.

string
nullable
documentQuality

The quality result for scanned document. Values are : Undetermined If state is undetermined. Good If document quality good. Bad If document quality bad.

string
nullable
documentQualityScore

Quality sore for scanned document value between 0 and 1.

number format: double
aggregatedValidationChecks

The validations that ran against both document sides and nfc like cross-checks.

Array<object>
nullable

Applied validity checks on each supported document type. Authentication helps discover many cases of fake documents or genuine documents that have been manipulated. An example of an AuthenticationCheck is cross-matching information elements that are represented in many parts of the document like a DocumentNumber that is both represented as a printed human-readable text and also encoded in a barcode. The range of checks performed will vary based on few factors.One of them depends on the document being captured, as the security features vary from one document to another. Another factor is the images that were provided, as IDES is able to validate many visible and non-visible security features but non-visible security features validation requires providing the Infrared and Ultraviolet response images.

object
name

Returns a value representing the identifier of this AuthenticationCheck. This identifier should be used to uniquely identify the check and refer to it programatically if needed. Authentication check Id is unique for a specific AuthenticationCheck.

string
nullable
title

Returns a value specifying the title of the AuthenticationCheck. This value can be used for friendly representation of the check to the user.For identification purposes not related with friendly representation, id field should be used

string
nullable
info

Returns a value specifying description of the AuthenticationCheck.

string
nullable
validationResult

Returns state of the AuthenticationCheck. This indicates whether the check was Passed, Failed, inconclusive or was not able to run due to some pre-conditions that are not met. AuthenticationCheck return state Possible values undetermined, passed, failed or skipped. Default is undetermined.

Undetermined If state is undetermined. Passed = If AuthenticationCheck passed. Failed = If AuthenticationCheck failed. Skipped = If AuthenticationCheck skipped.

string
nullable
resultInfo

Information about the result of validation check.

string
nullable
weight

Score of the validation result. AuthenticationCheck return state Possible values undetermined, passed, failed or skipped. Default is Critical.

Ignore If weight is ignored. Insignificant = If weight is insignificant. Moderate = If weight is moderate. Critical = If weight is critical.

string
nullable
regionOfInterests

List of areas of the document where the validation check was applied.

Array<object>
nullable

Area of the document where the validation check was applied.

object
boundingBox

Surrounding box around the extracted field.

object
x

X coordinate of the top left of the rectangle forming the bounding box.

integer format: int32
y

Y coordinate of the top left of the rectangle forming the bounding box.

integer format: int32
width

Represents the width of the bounding box.

integer format: int32
height

Represents the height of the bounding box.

integer format: int32
side

Document side where the validation check was applied.

string
nullable
spectrum

Image type where the validation check was applied.

string
nullable
type

Validation check type. AuthenticationCheck return state Possible values unspecified or imagequality. Default is unspecified.

Unspecified = If type is not specified. ImageQuality = If type is image quality.

string
nullable
aggregatedValidationResult

The over all validation result for both document’s sides and nfc. Values are : Undetermined If state is undetermined. Passed If AuthenticationCheck passed. Failed If AuthenticationCheck failed. Skipped If AuthenticationCheck skipped.

string
nullable
documentScore

IDSCore.Verify.Facade.Contracts.DocumentScore class represents GBG score of a document.

object
baseScore

Base score of the document.

integer format: int32
achievedScore

Achieved score of the document.

integer format: int32
additionalDetails

Contains previous processing information for front side and backside. Contains the engine used for processing under “Engine” key.

object
key
additional properties
string
nullable
extractedImage

Base64 encoded image of the extracted document.

string format: byte
nullable
includedImages

Contains information on any additional images after processing. Eg:- { { “Key”: “TAMPERED_IMAGE”, Value : “byte array of the digital tampered heat map image”}, { “Key”: “EXTRACTED_UV_IMAGE”, Value : “byte array of the extracted UV image”}, { “Key”: “EXTRACTED_IR_IMAGE”, Value : “byte array of the extracted IR image”}}.

Array<object>
nullable
object
key
string
nullable
value
string format: byte
nullable

Error with the provided parameters, please, check the response provided to get more insights on the problem.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable

Internal error during our processing, please, get in touch with support so we can help you.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable

A downstream service is temporarily out of capacity, please, retry later.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable